Summary:	Visual diff and merge tool
Summary(pl.UTF-8):	Wizualne narzędzie do oglądania i włączania zmian (diff)
Name:		meld
Version:	3.22.3
Release:	1
License:	GPL v2+
Group:		Applications/Text
Source0:	https://download.gnome.org/sources/meld/3.22/%{name}-%{version}.tar.xz
# Source0-md5:	8dc9da40caa2a0fd1097af77d3b87abd
Patch0:		%{name}-desktop.patch
Patch2:		%{name}-install.patch
URL:		http://meldmerge.org/
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.48
BuildRequires:	gtk+3-devel >= 3.20
BuildRequires:	gtksourceview4-devel >= 4.0.0
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	meson >= 0.49.0
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	python3-devel >= 1:3.6
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-pycairo-devel >= 1.15.0
BuildRequires:	python3-pygobject3-devel >= 3.30
# ensure distutils.command.build.{Build -> build} rename (see distutils patch)
BuildRequires:	python3-setuptools >= 1:60
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
# for versions see bin/meld /check_requirements
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.48
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.48
Requires:	gtk+3 >= 3.20
Requires:	gtksourceview4 >= 4.0.0
Requires:	hicolor-icon-theme
Requires:	pango >= 1:1.26
Requires:	python3-modules >= 1:3.6
Requires:	python3-pycairo >= 1.15.0
Requires:	python3-pygobject3 >= 3.30
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Meld is a GNOME visual diff and merge tool. It integrates especially
well with CVS. The diff viewer lets you edit files in place (diffs
update dynamically), and a middle column shows detailed changes and
allows merges. The margins show location of changes for easy
navigation, and it also features a tabbed interface that allows you to
open many diffs at once.

%description -l pl.UTF-8
Meld to przeznaczone dla GNOME wizualne narzędzie do oglądania i
włączania zmian (w formacie diff). Integruje się szczególnie dobrze z
CVS. Przeglądarka różnic pozwala modyfikować pliki w miejscu
(dynamicznie uaktualniać), a środkowa kolumna pokazuje szczegółowe
zmiany i pozwala na włączanie. Na marginesach jest pokazane położenie
zmian w celu łatwej nawigacji. Jest dostępny także interfejs z
zakładkami, pozwalający na otwieranie wielu plików diff naraz.

%prep
%setup -q
%patch0 -p1
%patch2 -p1

cp -p meld/vc/COPYING COPYING.vc
cp -p meld/vc/README README.vc

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%py3_comp $RPM_BUILD_ROOT%{py3_sitescriptdir}

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/%{name}/vc/{COPYING,README}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS COPYING.vc README.vc
%attr(755,root,root) %{_bindir}/meld
%dir %{py3_sitescriptdir}/%{name}
%{py3_sitescriptdir}/%{name}/*.py
%{py3_sitescriptdir}/%{name}/__pycache__
%dir %{py3_sitescriptdir}/%{name}/matchers
%{py3_sitescriptdir}/%{name}/matchers/*.py
%{py3_sitescriptdir}/%{name}/matchers/__pycache__
%dir %{py3_sitescriptdir}/%{name}/ui
%{py3_sitescriptdir}/%{name}/ui/*.py
%{py3_sitescriptdir}/%{name}/ui/__pycache__
%dir %{py3_sitescriptdir}/%{name}/vc
%{py3_sitescriptdir}/%{name}/vc/*.py
%{py3_sitescriptdir}/%{name}/vc/__pycache__
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Meld.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Meld-symbolic.svg
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/org.gnome.meld.gschema.xml
%{_datadir}/metainfo/org.gnome.Meld.appdata.xml
%{_datadir}/mime/packages/org.gnome.Meld.xml
%{_desktopdir}/org.gnome.Meld.desktop
%{_mandir}/man1/meld.1*
%changelog
* Sat Jan 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/meld.git;a=log;h=master

* Sat Jan 11 2025 Jan Palus <atler@pld-linux.org> d9794f4
- up to 3.22.3

* Sat Jan 11 2025 Jan Palus <atler@pld-linux.org> 975f362
- BR: gettext-tools pkgconfig

* Wed Mar 27 2024 Jakub Bogusz <qboosh@pld-linux.org> 2a9152c
- updated to 3.22.2

* Mon Feb 19 2024 Jakub Bogusz <qboosh@pld-linux.org> 6260245
- updated to 3.22.1

* Wed Sep 07 2022 Jan Palus <atler@pld-linux.org> f454978
- use meson for build and installation to get proper resources

* Wed Sep 07 2022 Jan Palus <atler@pld-linux.org> 5fe7bd9
- updated deps

* Wed Sep 07 2022 Jakub Bogusz <qboosh@pld-linux.org> 9827646
- updated to 3.22.0
- added distutils patch for compatibility with current distutils providers (python 3.10+ or setuptools 60+)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 8d58bb7
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> d0c2501
- rebuild with python 3.10

* Fri Aug 13 2021 Jan Palus <atler@pld-linux.org> e10204a
- up to 3.20.4

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> d91b7b8
- release 2 (by relup.sh)

* Sat Feb 13 2021 Jan Palus <atler@pld-linux.org> 1d12672
- updated source url

* Sat Feb 13 2021 Jan Palus <atler@pld-linux.org> 68f905e
- up to 3.20.3

* Sun Feb 16 2020 Jan Palus <atler@pld-linux.org> 6035c80
- up to 3.20.2

* Mon Jan 06 2020 Jakub Bogusz <qboosh@pld-linux.org> 467d528
- updated dependencies
- added install patch (move install_data options from global to install_data, use py3_install macro)
- release 4

* Wed Oct 30 2019 Jan Palus <atler@pld-linux.org> 36a7b1f
- upstream patch to fix build with python 3.8; rel 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 2453e7a
- rebuild with python 3.8
- release 2 (by relup.sh)

* Fri May 24 2019 Elan Ruusamäe <glen@pld-linux.org> 827d3cb
- use epoch 1 for python3 package

* Sun Mar 31 2019 Jan Palus <atler@pld-linux.org> d6c4912
- up to 3.20.1

* Sun Jan 20 2019 Jan Palus <atler@pld-linux.org> b8e2a79
- up to 3.20.0

